code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/ash echo [OK] Waiting for http://syncthing:8384 timeout ash <<EOT while ! (curl -sm1 http://syncthing:8384) >/dev/null 2>&1; do sleep 1; done; EOT if [ $? -eq 0 ]; then syncthing-inotify $@ else echo [FATAL] Timeout waiting for http://syncthing:8384 1>&2; fi
bambocher/docker-syncthing-inotify
entrypoint.sh
Shell
mit
281
#!/bin/bash # ----------------------------------------------------------------------------- # installAtom.sh # # Set up atom text editor on Mac OSX # # Usage: bash installAtom.sh # # Jayson Grace, jayson.e.grace@gmail.com, 8/1/2015 # # Last update 8/20/2015 by Jayson Grace, jayson.e.grace@gmail.com # ------------------...
l50/bash-scripts
installAtom.sh
Shell
mit
967
#!/bin/bash echo 'This is a docker environment: $IS_DOCKER' if [ "$IS_DOCKER" != "true" ]; then echo 'Copying wsgi conf file...' cp wsgi.conf ../wsgi.conf else echo 'The script 04_wsgipass.sh is only executed in non-docker environments.' fi
upconsulting/IsisCB
.ebextensions/scripts/04_wsgipass.sh
Shell
mit
249
#!/bin/bash echo -e "\e[92mhi , www.nullex.ir | by S.NULL \n tnx for using jingil :) ." sleep 2 setupf (){ while true;do read -p "pls enter the site's rss , for example nullex.ir/feed/ (with last slash/) : " rssa read -p "pls enter the site's name , for example 'nullex' : " sname mkdir "`echo $HOME`"/ji...
snull/Jingil
jinset/setup-jingil.sh
Shell
mit
2,566
#!/usr/bin/env bash # # Copyright (c) 2020 The Bitcoin Core developers # Distributed under the MIT software license, see the accompanying # file COPYING or http://www.opensource.org/licenses/mit-license.php. export LC_ALL=C.UTF-8 export DOCKER_NAME_TAG="ubuntu:20.04" LIBCXX_DIR="${BASE_SCRATCH_DIR}/msan/build/" expor...
syscoin/syscoin
ci/test/00_setup_env_native_msan.sh
Shell
mit
1,578
#!/usr/bin/env bash # Show the difference between # rebasing on master # and # squashing on the fork-point and then rebasing on master # Go here cd "$(readlink -f "$(dirname "$0")")" # Create and go to the testing-ground rm -rf tmp mkdir -p tmp cd tmp git init echo initial content > file1.txt echo initial c...
nknapp/thoughtful-release
manual-testing/prepare-repo-for-rebase.sh
Shell
mit
1,221
adb shell rm -rf /system/framework/framework adb shell mkdir /system/framework/framework adb push ../out/framework /system/framework/framework adb push ../out/framework/package.json /system/framework/framework adb push ../out/framework/resources /system/framework/framework/resources adb push ../out/framework/index.js /...
compking2012/porsche
build/update.sh
Shell
mit
347
#!/bin/bash /usr/bin/mysqld_safe > /dev/null 2>&1 & RET=1 while [[ RET -ne 0 ]]; do echo "=> Waiting for confirmation of MariaDB service startup" sleep 5 mysql -uroot -e "status" > /dev/null 2>&1 RET=$? done echo "=> Creating MariaDB 'znieh' user with 'znieh' password" mysql -uroot -e "CREATE USER ...
ZniehGames/znieh
docker/services/mariadb/create_mariadb_user.sh
Shell
mit
620
#!/usr/bin/env bash #--------------------------------------------------------------------------------------------------- # Deploys the latest Docker image for Codekvast Login to the prod environment #--------------------------------------------------------------------------------------------------- source $(dirname $0...
crispab/codekvast
deploy/deploy-login-to-prod.sh
Shell
mit
470
#PBS -l nodes=1:ppn=64,walltime=300:00:00,mem=96gb -N raxml.splus -j oe module load RAxML/8.2.4 CPU=48 if [ $PBS_NUM_PPN ]; then CPU=$PBS_NUM_PPN fi raxmlHPC-PTHREADS-SSE3 -N autoMRE -T $CPU -o Capsaspora_owczarzaki_ATCC_30864.v2 -# 100 -x 121 -f a -p 123 -m PROTGAMMAAUTO -s ZygoMax.2Feb16.filt.longnames.fasaln -...
zygolife/Phylogenomics
Spatafora_et_al_2016/phylo/do_raxml_filt.sh
Shell
cc0-1.0
342
#!/bin/bash # # Copyright (c) 2012-2019 Red Hat, Inc. # This program and the accompanying materials are made # available under the terms of the Eclipse Public License 2.0 # which is available at https://www.eclipse.org/legal/epl-2.0/ # # SPDX-License-Identifier: EPL-2.0 # # Contributors: # Tyler Jewell - Initial Impl...
akervern/che
dockerfiles/base/scripts/base/commands/cmd_version.sh
Shell
epl-1.0
2,128
#/bin/sh ########################################################## # This program will do: # 1. Install necessary packages if system required # 2. Setup NFS service according to your parameters # 3. Enable and startup the NFS service # 4. Validate if everything is OK or print some warning #############################...
qianpaladin/CS807
The Platform/src/nfs.sh
Shell
gpl-2.0
2,735
#!/bin/bash # # run fastbuild # function usage() { echo "type argument: build_dbg, build, perf_test" } case $1 in build_dbg) cd app python3 fastbuild.py -d /home/daniel/Dokumenty/Programming/PythonProjects/fastbuild/performance_tests/dummy_project -dbg cd .. exit ;; ...
buharin/fastbuild_python
run.sh
Shell
gpl-2.0
715
# export AWS_ACCESS_KEY="Your-Access-Key" # export AWS_SECRET_KEY="Your-Secret-Key" today=`date +"%d-%m-%Y","%T"` logfile="/awslog/ec2-access.log" # Grab all Security Groups IDs for DISALLOW action and export the IDs to a text file sudo aws ec2 describe-security-groups --filters Name=tag:close-allports-time,Values=20...
STARTSPACE/aws-access-to-ec2-by-timetable
all/disallow-ad/all-disallow-ad-20.sh
Shell
gpl-2.0
817
#!/bin/sh # # Copyright (c) 2006 Carl D. Worth # test_description='Test of the various options to git rm.' . ./test-lib.sh # Setup some files to be removed, some with funny characters test_expect_success \ 'Initialize test directory' \ "touch -- foo bar baz 'space embedded' -q && git add -- foo bar baz ...
bboyfeiyu/git
t/t3600-rm.sh
Shell
gpl-2.0
23,862
#!/usr/bin/env bash ffmpeg -framerate 10 -i render/linefollow-%09d.jpg -c:v libx264 -r 30 -pix_fmt yuv420p out.mp4
TimeTravel-0/hatching
render2mp4.sh
Shell
gpl-2.0
115
#!/bin/bash build_compile() { ./configure \ --prefix=/usr \ --with-gitconfig=/etc/gitconfig \ --with-libpcre make } build_test_level=4 build_test() { make test } build_pack() { make DESTDIR=$BUILD_PACK install ## Install man pages p...
phyglos/phyglos
bundles/git-desktop.dir/git-2.19.1-desktop.sh
Shell
gpl-2.0
1,451
#!/bin/bash function _print { echo -e "\n||==\t$1\t==||\n" } function _check_cmd { _print "Checking $1 utility/program" command -v $1 >/dev/null 2>&1 return $? } function _git_clone_and_link_dotfiles { _print "Checking dotfiles" if [[ ! -d $HOME/.dotfiles ]]; then git clone https://g...
Moggi/dotfiles
install.sh
Shell
gpl-2.0
3,126
#!/bin/bash time4graph=`date +"%H\:%M\:%S"` date4graph=`date +"%d.%B %Y"` #sudo sed -i '$d' /var/www/index.html #sudo sed -i '$s/$/\n<\/body><\/html>/' /var/www/index.html rrdtool graph /var/www/temp-day.png \ -s 'now-1d' -e 'now' \ -w 1024 -h 300 -a PNG \ --title "Temperatur (letzte 24h) in [°C]" \ --x-grid M...
AnotherVisitor/StuffAroundRrdtool
make_graph.sh
Shell
gpl-2.0
4,669
#!/bin/sh test_description='test config file include directives' . ./test-lib.sh test_expect_success 'include file by absolute path' ' echo "[test]one = 1" >one && echo "[include]path = \"$(pwd)/one\"" >.gitconfig && echo 1 >expect && git config test.one >actual && test_cmp expect actual ' test_expect_success '...
schaary/studipET2012
t/t1305-config-include.sh
Shell
gpl-2.0
3,523
#!/bin/sh # # convert LINGUAS file into a C source file containing full locale names. # names in LINGUAS are either 5-char full "language_LOCALE" names or # 2-char "language-only" names. convert the latter. # ( echo 'char *locale_set[] = { ' sed -e 's/en_GB/& en_US/' < $1 | tr ' ' '\n' | while read l ; do case "$l...
greg-hellings/Xiphos
src/gnome2/make-locale-set.sh
Shell
gpl-2.0
784
#!/bin/bash Usage="Usage: $0 real_pos_file fake_pos_file" [ $# -ne 2 ] && { echo "$Usage"; exit 1; } _DEBUG="true" function DEBUG() { if [ "$_DEBUG" == "true" ];then $@ fi } real_pos_file=$1 fake_pos_file=$2 result_file="deviation" declare -a real_pos_array declare -a fake_pos_array function load_pos() { pos...
lifulong/map-matching-algorithm
tools/bash/get_deviation/get_deviation.sh
Shell
gpl-2.0
1,776
#!/usr/bin/env bash git grep -I --name-only -z -e ' ' | xargs -0 gsed -i 's/[ \t]\+\(\r\?\)$/\1/'
tjohann/my_common_docs
freebsd/home_bin/clean_whitespaces.sh
Shell
gpl-2.0
99
#!/bin/bash > README.md pod2markdown < lib/Data/Tools.pm >> README.md pod2markdown < lib/Data/Tools/Socket.pm >> README.md pod2markdown < lib/Data/Tools/Time.pm >> README.md pod2markdown < lib/Data/Tools/Math.pm >> README.md
cade-vs/perl-data-tools
fix-md.sh
Shell
gpl-2.0
236
#!/bin/bash modprobe zlib cd ft-index-testing; git pull || { echo 'git pull failed\n'; shutdown -h now; }; . shuffle.bool; cd -; cp ft-index-testing/tests-to-run.list ft-index/ftfs/userspace-testing/todays-tests || { echo 'failed to copy test list'; shutdown -h now; }; cd ft-index; git pull || { echo 'git pull faile...
oscarlab/betrfs
qemu-utils/guest-files/run-unit-tests.sh
Shell
gpl-2.0
735
#!/bin/bash ##runs a number of SCORE jobs one after another ##Markus Kuehbach, 2019/01/20, m.kuehbach at mpie.de exenm="scorehybrid_rhcs_mmm2018_intel_febr2019_maws15" ebsdnm="KAM_5deg_1NN.txt_MTEX_X2EastZInPlane.SEG2Deg.ang" zero="0" multiplier=111111 simid=6665 #defaultseed uds=SCORE.Debug.MartinDiehl.66.SimID.$s...
mkuehbach/SCORE
msmse2019/queue_score_diehl_mmm2018_febr2019_6665.sh
Shell
gpl-2.0
447
#!/bin/bash # -sS/sT/sA/sW/sM: TCP SYN/Connect()/ACK/Window/Maimon scans # -O: Enable OS detection # -oN/-oX/-oS/-oG <file>: Output scan in normal, XML, s|<rIpt kIddi3, #nmap -sS -O -oG 10.34.12.1.txt 10.34.12.1/23 # #./nbi.pl 10.34.12.1.txt # https://exchange.nagios.org/directory/Addons/Configu...
tjyang/nbi
nbi.bash
Shell
gpl-2.0
953
#!/bin/bash for ((i=1 ; i<400 ; i++)) do python pca_svm.py $i echo $i >> info.log cp pca_svm_*.txt /home/elvis/environment/libsvm/libsvm-master/tools/ python /home/elvis/environment/libsvm/libsvm-master/tools/grid.py /home/elvis/environment/libsvm/libsvm-master/tools/pca_svm_train.txt 1>>"${i}.log" 2>>...
ElvisLouis/code
work/ML/tensorflow/separa/pca_svm.sh
Shell
gpl-2.0
336
#!/bin/bash if [ $# -ne 1 ] then echo "Usage: `basename $0` <ca-common-name>" exit fi echo "Generating TLS credentials for CA \"${1}\"" echo "Please make sure you generate enough entropy!" certtool --generate-privkey >ca.key echo "cn = ${1}" > ca.tmpl echo "ca" >> ca.tmpl echo "cert_signing_key" >> ca.tmpl echo "...
AGProjects/msrprelay
tls/gen_ca_creds.sh
Shell
gpl-2.0
457
# export AWS_ACCESS_KEY="Your-Access-Key" # export AWS_SECRET_KEY="Your-Secret-Key" today=`date +"%d-%m-%Y","%T"` logfile="/awslog/automation-instances.log" # Grab all Instance IDs for REBOOT action and export the IDs to a text file sudo aws ec2 describe-instances --filters Name=tag:start-time,Values=10-00 Name=tag:b...
STARTSPACE/aws-ec2-start-stop-reboot-by-timetable
start/ad/start-ad-10.sh
Shell
gpl-2.0
780
# /bin/bash a=10 b=20 if [ $a == $b ] then printf "a is equal to b\n" elif [ $a -gt $b ] then printf "a is greater than b\n" elif [ $a -lt $b ] then printf "a is less than b\n" fi num1=$[2*3] num2=$[1+5] if test $[num1] -eq $[num2] then echo "two numbers are equal!\n" else echo "two numbers are not equal!\n" ...
rudy-yuan/shell-script
if-else.sh
Shell
gpl-2.0
325
#!/bin/bash # rajout sur ligne $select si flèches: Left <== | ==> Right # du Sous-Menu des actions possibles si $sousMenuVisible = 0 # # sinon dépacement sur action suivante ou précedente (circulaire) # # 1.3 Connect to the Internet Edit VIEW Execute # ...
RC69/RCsite1
outilsRC/mnu/25.flechesSousMenu.bash
Shell
gpl-2.0
1,330
#!/bin/sh # This is a wrapper script to ensure wp-cli can run as the www-data user in docker container sudo -E -u www-data /bin/wp-cli.phar "$@"
leogaggl/misc-scripts
wp-su.sh
Shell
gpl-2.0
145
xmlencode() { if [ $# -eq 0 ]; then sed 's/&/\&amp;/g; s/</\&lt;/g; s/>/\&gt;/g;' else case $1 in *[\&\<\>]*) echo -n "$1" | xmlencode ;; *) echo -n "$1" ;; esac fi }
kriegaex/callmonitor
base/usr/lib/callmonitor/modules/xml.sh
Shell
gpl-2.0
192
#!/bin/bash # #set -vx NFSVERSION=${1:-"3"} LUSTRE=${LUSTRE:-$(cd $(dirname $0)/..; echo $PWD)} . $LUSTRE/tests/test-framework.sh # only call init_test_env if this script is called directly if [[ -z "$TESTSUITE" || "$TESTSUITE" = "$(basename $0 .sh)" ]]; then init_test_env $@ fi . ${CONFIG:=$LUSTRE/tests/cfg/$NAME...
sdsc/lustre-release
lustre/tests/parallel-scale-nfs.sh
Shell
gpl-2.0
2,986
#!/bin/bash set -e export BOX=$1 export NETWORK_PREFIX=$2 export HOSTS_COUNT=$3 export OAR_FTP_HOST=$4 export OAR_FTP_DISTRIB=$5 export DEBIAN_EXTRA_DISTRIB=$6 export DEBIAN_FRONTEND=noninteractive export OAR_APT_OPTS="" if [ -z "$BOX" -o -z "$NETWORK_PREFIX" -o -z "$HOSTS_COUNT" -o -z "$OAR_FTP_HOST" ]; then echo...
oar-team/oar-vagrant
deb_debian9_mysql/provision.sh
Shell
gpl-2.0
12,730
#! /bin/bash cd ../web/src python spider.py cd ../ #scp -r . jseipp,rednotebook@web.sourceforge.net:htdocs rsync -vre ssh . jseipp,rednotebook@web.sourceforge.net:htdocs
pakesson/rednotebook
dev/upload-web.sh
Shell
gpl-2.0
170
#!/bin/bash # Copyright 1999-2012 Gentoo Foundation # Distributed under the terms of the GNU General Public License v2 # We need this next line for "die" and "assert". It expands # It _must_ preceed all the calls to die and assert. shopt -s expand_aliases alias save_IFS='[ "${IFS:-unset}" != "unset" ] && old_IFS="${IF...
devurandom/portage
bin/isolated-functions.sh
Shell
gpl-2.0
12,931
#! /bin/sh # Copyright (C) 2003-2017 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
Starlink/automake
t/distcom4.sh
Shell
gpl-2.0
2,050
#!/bin/sh # # Copyright (c) 2003, 2009, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the F...
ohpauleez/soymacchiato
src/langtools/test/tools/javah/ConstMacroTest.sh
Shell
gpl-2.0
2,731
check_atom_version(){ local expected_version=$1 local installed_version="$(atom --version)" [ "${expected_version}" = "${installed_version}" ] }
duckmole/common_config
sources/config.sh
Shell
gpl-2.0
151
#!/bin/bash make generated_file="../tapper/mappings.c" filename="alphabet.txt" regex='(.) (.*)' echo '' > $generated_file echo '//This file was generated using ../utils/generateMap.sh and ../utils/dotDashToInt.c' >> $generated_file echo '//to change the morse code mappings update alphabet.txt and regenerate this fil...
cbadke/museum-telegraph
src/util/generateMap.sh
Shell
gpl-3.0
803
#!/bin/bash menu_choice="" current_cd="" title_file="title.cdb" tracks_file="tracks.cdb" temp_file=/tmp/cdb.$$ trap 'rm -f $temp_file' EXIT get_return(){ echo -e "press return \c" read x return 0 } get confirm(){ echo -e "are you sure? \c" while true do read x case "$x" in y|yes|Y|Yes|YES) return 0;; n|no|N|No|NO) ...
huoxinghuilai/project1
linux-ceshilizi/CD.sh
Shell
gpl-3.0
4,381
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1B/logs/w-07-A/20161212T130954+0000/00/00/terminate_0_ID0000010.sh
Shell
gpl-3.0
1,237
# postexecute/GNU/Linux/20_start_nails.sh if (( PREVIEW )) ; then : else LogPrint "Start McAfee LinuxShield anti-virus services" [[ -x /etc/init.d/nails ]] && /etc/init.d/nails start >&2 fi
gdha/upgrade-ux
opt/upgrade-ux/scripts/postexecute/GNU/Linux/20_start_nails.sh
Shell
gpl-3.0
202
#!/bin/bash # For randomized data. # Sets up a run with choice of run-type (pool/lesion) and choice of condition (DTT/NaCl). # Add a directory name of your choice. # You will then descend into that directory to run GAMS on the model. # USAGE: ./set_up.sh condition runtype outdir if [[ $# != 5 ]]; then echo "USAGE: ./...
mmacgilvray18/Phospho_Network
phospho_subnet/rand_ilp/pathfinder/scripts/set_up_local_rand.sh
Shell
gpl-3.0
1,292
#!/bin/bash # # Instalador desatendido para Openstack Juno sobre UBUNTU # Reynaldo R. Martinez P. # E-Mail: TigerLinux@Gmail.com # Octubre del 2014 # # Script de instalacion y preparacion de glance # PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin if [ -f ./configs/main-config.rc ] then sourc...
tigerlinux/openstack-juno-installer-ubuntu14
modules/glanceinstall.sh
Shell
gpl-3.0
17,225
#!/bin/bash python AnalyzeSimulation.py --paralog1 YER102W --paralog2 YBL072C --simnum 81 > YER102W_YBL072C_MG94_nonclock_Sim81_PrintScreen.txt
xjw1001001/IGCexpansion
Simulation/ShFiles/MG94_YER102W_YBL072C_sim81.sh
Shell
gpl-3.0
145
#!/bin/bash set -ev if [ "${BUILD}" = "COM" ]; then node ./COMPILER/cli.js ./COMPILER/define.cmm elif [ "${BUILD}" = "CPU" ]; then iverilog -Wall -g2012 -s CPU -o compiled.vvp ./CPU/ALU.v ./CPU/debugging/RAM_sim.v ./CPU/CPU.v ./GPU/Font_ROM.v ./GPU/disp_RAM.v ./GPU/TXT.v ./GPU/VGA.v ./GPU/GPU.v elif [ "${BUILD}" = "...
disaderp/automatic-chainsaw
SCHEMATIC/build.sh
Shell
gpl-3.0
941
#!/bin/bash # # This is a simple bash script to read Dallas 1-Wire sensors # connected to a controller board running ethersex and log their # values to the volkszaehler project. # # call it with a cronjob similiar to this one: # # */5 * * * * ~/bin/log_i2c_ds1631_ecmd.sh # # @author Justin Otherguy <justin@justinothe...
andig/volkszaehler.org
misc/controller/misc/log_i2c_ds1631_ecmd.sh
Shell
gpl-3.0
2,143
#!/bin/bash # sure. just grab them out of the network inspector in Chrome or Firefox # you find the request (search for 'login' or 'm14' for login & message respectively) # and right-click and copy as curl # If you want a doc, there's http://matrix.org/docs/howtos/client-server.html # Another option is to go into the...
sbts/matrix_bash_bot
matrix-bashbot.sh
Shell
gpl-3.0
34,517
#!/bin/sh docker run -p 80:80 --name static_web -d static_web nginx -g "daemon off;"
jianyingdeshitou/docker-sample
dockerbook-code/4/static_web/test/run.sh
Shell
gpl-3.0
85
#!/bin/bash # mmm, rootkit (hides the start.sh scripts from players) insmod Rootkit/rootkit.ko # kill old containers for i in `docker ps -a | grep 'uoit-ctf-2016' | cut -d' ' -f1`; do docker rm -f "$i"; done # run all services docker run -itd -p 3306:3306 -p 42003:22 --name=uoit-ctf-2016-mysql -h mysql uoit-ctf-2016...
ghayes-uoit/uoit-ctf-fall-2016
run-all.sh
Shell
gpl-3.0
784
#!/bin/sh if [[ "$TRAVIS_PULL_REQUEST" != "false" ]]; then echo "This is a pull request. No deployment will be done." exit 0 fi if [[ "$TRAVIS_BRANCH" != "master" ]]; then echo "Testing on a branch other than master. No deployment will be done." exit 0 fi # Thanks @djacobs https://gist.github.com/djacobs/24110...
BrainModes/BM.Muse
scripts/travis/testflight.sh
Shell
gpl-3.0
1,243
#!/usr/bin/env bash set -euo pipefail [ -n "${DEBUG:-}" ] && set -x if [ "$1" = 'hive' ]; then export HADOOP_HOME=/opt/hadoop export PATH=$PATH:$HADOOP_HOME/bin #hdfs dfs -mkdir /tmp #hdfs dfs -mkdir /user #hdfs dfs -mkdir /user/hive #hdfs dfs -mkdir /user/hive/warehouse #hdfs dfs -chmod g+w /tmp #hdfs dfs ...
jorgeacf/dockerfiles
bigdata/hive/entrypoint.sh
Shell
gpl-3.0
545
#!/bin/sh export GR_DONT_LOAD_PREFS=1 export srcdir=/home/aviral/GNU-Niyantran/tests export GRAS_ROOT= export GRAS_PATH= export PATH=/home/aviral/GNU-Niyantran/build/tests:$PATH export LD_LIBRARY_PATH=/usr/lib:/home/aviral/GNU-Niyantran/build/lib:/home/aviral/GNU-Niyantran/build/PMC/lib:$LD_LIBRARY_PATH export PYTHONPA...
aviralchandra/Sandhi
build/tests/block_calls_test_test.sh
Shell
gpl-3.0
694
#!/bin/sh set -xe ./env.sh set +e ./tracboat.sh -vv --config-file="$@" migrate >out.log 2>error.log tail error.log
nazavode/tracboat
convert.sh
Shell
gpl-3.0
117
#!/bin/bash set -e pegasus_lite_version_major="4" pegasus_lite_version_minor="7" pegasus_lite_version_patch="0" pegasus_lite_enforce_strict_wp_check="true" pegasus_lite_version_allow_wp_auto_download="true" . pegasus-lite-common.sh pegasus_lite_init # cleanup in case of failures trap pegasus_lite_signal_int INT trap...
elainenaomi/sciwonc-dataflow-examples
dissertation2017/Experiment 1B/logs/w-10-A/20161127T171406+0000/00/00/taskevent_6_ID0000012.sh
Shell
gpl-3.0
1,237
#!/bin/bash # # Deploy the taginfo container # set -x echo "Start .. " sudo docker run -it -v /docker_export:/docker_export osmose-backend-dev /bin/bash
ImreSamu/docker-osmose-backend
docker_start.sh
Shell
gpl-3.0
161
#!/bin/sh git clean -fx echo "Version is $1" VERSION=$1 BUILDDIR=`pwd`/build PATH="/sbin:$PATH" ./autogen.sh ./configure --prefix=/usr && \ make DESTDIR=${BUILDDIR} install echo "Modifying control file" sed -i "s/Version: [0-9].[0-9].*/Version: ${VERSION}/" ${BUILDDIR}/DEBIAN/control dpkg -b ${BUILDDIR} vdepn-${...
massix/vdepn
makedeb.sh
Shell
gpl-3.0
371
#!/bin/bash # recieve-update: ran when recieving zeppelin updates via USB key # # Written by Aaron Blakely <aaron@ephasic.org> # USB_KEY="/data/video/usb" # Conserve space on the root partition by # putting on the video partition. # if [[ !-d /data/zeppelin-support ]]; then if [[ -d /data/video/usb ]]; then cp -a...
ablakely/zeppelin
scripts/recieve-update.sh
Shell
gpl-3.0
819
#!/bin/bash if [ -d "${1}" ] then if [ "`/home/joaomanoel/bin/owner-dir.sh \"${1}\"`" == "${2}" ] then echo -n " Exec: sudo chown ${3} \"${1}\" ... " sudo chown ${3} "${1}" echo "OK" fi if [ "`/home/joaomanoel/bin/grouper-dir.sh \"${1}\"`" == "${2}" ] then echo -n " Exec: sudo chgrp ${3} \"${1}\" ... " ...
jmanoel7/my_shell_scripts
bin/chown-and-chgrp-dir.sh
Shell
gpl-3.0
364
#!/bin/bash ##################################### # Simple stress tool for HLS stream # # using curl # # # # ztodorov@neterra.net # # # # v.0.03 # ##################################### UR...
jivco/wowza-nginx-cdn
hls-stress-tools/hls_warmup_cache.sh
Shell
gpl-3.0
1,213
#!/bin/bash HOST=$1 scp -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no server-setup.py ubuntu@${HOST}:~/ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -t ubuntu@${HOST} bash -c "' mkdir -p ~/.ssh echo ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCzYVatpTuKyUB0aQlUXxAW0rIVbAh/yluy0ljWFevba0Otz4kM...
darka/p2pfs
helper-scripts/fix-server.sh
Shell
gpl-3.0
771
#!/bin/sh # # NOTE: The working directory should be the main capp directory when this script is run markdown_binary=$* $markdown_binary README.markdown >README.html
gorenje/capp_patterns
Libraries/Cappuccino/Tools/Documentation/process_markdown.sh
Shell
gpl-3.0
167
#sudo apt install -y python-pip sudo apt install -y python3-pip sudo pip3 install --upgrade pip exit $?
Yixf-Education/configure_Linux
02_software/01_pip.sh
Shell
gpl-3.0
104
#!/bin/bash # program location exer_loc="exer04_07" # process command line arguments and define testing functions . ../testing/system_test.sh # conduct tests ---------------------------------------------------------------- target='The average of 1, 2, ..., 10 is: 5.5' actual=$(./$exer_loc) ST_ASSERT_EQUAL "$tar...
dpritchLibre/koenig_accelerated
chap04/test04_07.sh
Shell
gpl-3.0
417
#!/usr/bin/env bash set -e echo "" > coverage.txt for d in $(go list ./beacon/... | grep -v 'vendor\|testing'); do go test -v -p=1 -coverprofile=profile.out -covermode=atomic $d if [ -f profile.out ]; then cat profile.out >> coverage.txt rm profile.out fi done
dadleyy/beacon.api
auto/travis/test.sh
Shell
gpl-3.0
277
#!/usr/bin/env bash # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. set -o nounset set -o errexit # exit on first command with non-zero status BASENAME=$(basename $0)...
chilts/fxa-content-server
tests/teamcity/run.sh
Shell
mpl-2.0
1,834
#!/bin/sh # http://docs.grafana.org/installation/rpm/ cube_read_stdin cubevar_app_str <<'HEREDOC' [grafana] name=grafana baseurl=https://packagecloud.io/grafana/stable/el/6/$basearch repo_gpgcheck=1 enabled=1 gpgcheck=1 gpgkey=https://packagecloud.io/gpg.key https://grafanarel.s3.amazonaws.com/RPM-GPG-KEY-grafana sslv...
myplaceonline/myplaceonline_posixcubes
grafana/grafana.sh
Shell
agpl-3.0
3,119
#!/bin/bash # create_config_initialV5.sh # version 5.02 # 31/03/2020 # add template windows nrpe # version 5.02 # 25/01/2020 # add template cisco # version 5.01 # 25/01/2020 # add template windows # version 5 # 13/01/2020 # update plugin mysql # version 4.02 # 14/10/2019 # add parameter icone # version 4.01 # 12/10/201...
kermith72/auto_install
debian10/create_config_initialV5.sh
Shell
agpl-3.0
9,642
#!/bin/bash # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU Lesser General Public License as published by # the Free Software Foundation; either version 2.1 of the License, or # (at your option) any later version. # # This program is distributed in the hope that i...
malcolmlewis/RPi-Monitor-config-data
common/SUSE_rpimonitor_zypper.sh
Shell
lgpl-2.1
2,787
#!/bin/sh # Print list of symbols inside libapplication.so which are not defined in Android libc # Internal compiler things like '__aeabi_ddiv' or '___Unwind_Resume' may be safely ignored rm -f exports.txt libapplication.txt cat exports-eclair.txt > exports.txt nm -g -p --undefined-only project/obj/local/armeabi-v7a/l...
pelya/commandergenius
checkMissing.sh
Shell
lgpl-2.1
751
prepare() { rm -rf /etc/localtime ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime if [ -s /etc/selinux/config ]; then sed -i 's/^SELINUX=.*/SELINUX=disabled/g' /etc/selinux/config fi if grep -Eqi '^127.0.0.1[[:space:]]*localhost' /etc/hosts; then echo "Hosts: ok." else echo "127.0.0.1 localhost.loca...
Char1sma/Shell_Collections
CloudTorrent/prepare.sh
Shell
lgpl-2.1
1,632
#!/bin/bash # Exit immediately on error set -eu -o pipefail SOFTWARE=blast VERSION=2.4.0+ ARCHIVE=ncbi-$SOFTWARE-$VERSION-src.tar.gz ARCHIVE_URL=ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/${VERSION%+}/$ARCHIVE SOFTWARE_DIR=ncbi-$SOFTWARE-$VERSION # Specific commands to extract and build the software # $INSTA...
ccmbioinfo/mugqic_pipelines
resources/modules/blast.sh
Shell
lgpl-3.0
1,132
#rgbs="HRoverview convection airmass day_microphysics night_microphysics fog ash" #rgbs="WV_062-WV_073 WV_062-IR_108 IR_120-IR_108 IR_087-IR_108" #rgbs="WV_062-IR_108" #for rgb in $rgbs #do # echo $rgb #done #areas="ccs4 EuropeCanary MSGHRVN mesanX mesanE baws eurotv eurotv4n eurol euron1 nsea ssea euro euro_north ...
meteoswiss-mdr/monti-pytroll
scripts/make_plots_c2.sh
Shell
lgpl-3.0
8,065
./_rel/erl_bay_release/bin/erl_bay_release console
grahamrhay/erl_bay
start.sh
Shell
unlicense
51
server='chrislinux' for f in "$@" do sourcepath="$f" filename=$(basename "$sourcepath") if [[ $filename = *fail ]] || [[ $filename = *transfer ]]; then continue fi #filename=`printf "%q" "$filename"` echo "filename after cleansing is : $filename" if (ping -c 1 $server) then destinationpath="/home/chris/torren...
chrishowell/TorrentAutomation
transferTorrent.sh
Shell
unlicense
721
# !/bin/bash set -e [[ -z $DEBUG ]] || set -x echo "===== nvim Environment =====" test ! -d ~/.vim/bundle/Vundle.vim && git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim && \ nvim +PluginInstall +GoInstallBinaries +qall && \ (cd ~/.vim/bundle/YouCompleteMe && ./install.py --clang-complete...
adamryman/dotfiles
external/vim/nvim_env.sh
Shell
unlicense
342
#!/usr/bin/env bash ############################################################# # Sub functions to work with qcow files ############################################################# # Valeriy Soloviov <weldpua2008@gmail.com> ############################################################# # version 1.0.1 (29/8/16) <we...
weldpua2008/compage
lib/qcow.sh
Shell
apache-2.0
4,308
#!/bin/bash # post startup checks cp /autobuild/checks/checks-cron /etc/cron.d/ # cron will run at required time and report on the status # of this instance
gombadi/honeygot
aws/autobuild/checks/install.sh
Shell
apache-2.0
161
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "Lice...
sekikn/incubator-airflow
docs/docker-stack/docker-examples/restricted/restricted_environments.sh
Shell
apache-2.0
2,140
#!/bin/bash set -ev set -o pipefail # -------------------------------------------------------------------------------------------- # Issuing npm install per the listed languages. DIR="$( cd "$( dirname "${BASH_SOURCE[0]}")" && pwd )" GENERAL="${DIR}/../_general" cd ${GENERAL} for LNG in c nodejs java; do cd ${GENE...
filscentia/roman-numerals
_scripts/setup.sh
Shell
apache-2.0
451
pkg_origin=core pkg_name=protobuf-c pkg_version=1.3.0 pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_license=('BSD-2-Clause') pkg_source="https://github.com/protobuf-c/protobuf-c/releases/download/v${pkg_version}/protobuf-c-${pkg_version}.tar.gz" pkg_shasum=5dc9ad7a9b889cf7c8ff6bf72215f1874a90260f60ad...
be-plans/be
protobuf-c/plan.sh
Shell
apache-2.0
764
#!/bin/bash #sleep 10 /usr/bin/indexer -c /etc/sphinxsearch/sphinx.conf --all /root/searchd.sh
iormark/Knigoed
docker/sphinx/init.sh
Shell
apache-2.0
94
#!/bin/bash s3cmd --config=/Users/k/.s3/.s3definery sync public/ s3://definery.io --exclude '.DS_Store' s3cmd setacl --config=/Users/k/.s3/.s3definery s3://definery.io/ --acl-public --recursive
acidjazz/definery
operations/deploy.sh
Shell
apache-2.0
195
#! /bin/bash # Grep the energy into an array from output readarray GREPPED < <(grep "^energy: [+-]\\{0,1\\}[0-9]\\{0,\\}\\.\\{0,1\\}[0-9]\\{1,\\}" -R /home/lingbo/CPofAaronsData/exon_44_output/) declare -a arr # Collect the pure value for item in "${GREPPED[@]}"; do # Chop the line value=`echo ${item} | c...
LingboTang/LearningFiles
extracting_scripts/extract_min_energy_pure_bash.sh
Shell
apache-2.0
827
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License...
aw-altiscale/snailtrail
precommit/src/main/personality/pig.sh
Shell
apache-2.0
1,777
#!/bin/bash -e # Copyright 2016 C.S.I.R. Meraka Institute # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable ...
SouthAfricaDigitalScience/bzlib-deploy
build.sh
Shell
apache-2.0
1,858
# Benchmark suite for Hadoop examples # Some of the options are based in HiBench https://github.com/intel-hadoop/HiBench # Downalod the Hadoop examples jar # we use the same jar for all executions of the same MR API version, to compare the same code BENCH_REQUIRED_FILES["Hadoop-Examples"]="$ALOJA_PUBLIC_HTTP/aplic2/ta...
mxhdev/aloja
shell/common/benchmark_Hadoop-Examples.sh
Shell
apache-2.0
8,395
# ----------------------------------------------------------------------------- # # Package : d3-zoom # Version : 1.7.1 # Source repo : https://github.com/d3/d3-zoom # Tested on : RHEL 8.3 # Script License: Apache License, Version 2 or later # Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com> # # Disclaimer:...
ppc64le/build-scripts
d/d3-zoom/d3-zoom_rhel_8.3.sh
Shell
apache-2.0
3,036
#!/bin/bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
jorenhehe/kubernetes
hack/make-rules/test-cmd-util.sh
Shell
apache-2.0
186,155
#!/bin/bash NUM=5 echo "" echo "controller-node-install-part-2" echo "" echo "Sleep $NUM seconds, then exit." I=1 for ((I=1; I<=$NUM; I++)); do printf "%12s\n" $I sleep 1 done exit 0
wingon-niu/OpenStackDeploy
DeployScripts/OpenStack-Install-HA-Test/controller-node-install-part-2.sh
Shell
apache-2.0
195
# ---------------------------------------------------------------------------- # # Package : strong-service-upstart # Version : 1.1.3 # Source repo : https://github.com/strongloop/strong-service-upstart # Tested on : ubuntu_16.04 # Script License: Apache License, Version 2 or later # Maintainer : Atul Sowani <sowania@u...
ppc64le/build-scripts
s/strong-service-upstart/strong-service-upstart_ubuntu_16.04.sh
Shell
apache-2.0
1,168
#!/usr/bin/env sh export MXNET_CUDNN_AUTOTUNE_DEFAULT=1 # you'd better change setting with your own --data-dir, --depth, --batch-size, --gpus. # train cifar10 #python -u train_resnet.py --data-dir data/cifar10 --data-type cifar10 --depth 164 --batch-size 128 --num-examples 50000 --gpus=0 #python -u train_resnet.py --d...
austingg/ResNet
run.sh
Shell
apache-2.0
566
#!/usr/bin/env bash PROFILE=${1:-orfeo-staging} REGION=${2:-us-east-2} STREAM_NAME=${3:-adpassetingest} ITERATOR_TYPE=${4:-TRIM_HORIZON} GET_SHARD_ID="aws --profile ${PROFILE} --region ${REGION} kinesis list-shards --stream-name ${STREAM_NAME}" #echo ${GET_SHARD_ID} SHARD_ID=$(${GET_SHARD_ID} | jq --compact-output --...
kurron/scripts
aws/kinesis-read-records.sh
Shell
apache-2.0
790
#!/usr/bin/env bash set -e VHOSTS="/zenoss" USER="zenoss" PASS="grep amqppassword \$ZENHOME/etc/global.conf | awk '{print \$2}'" if [ $(id -u) -eq 0 ] then RABBITMQCTL=$(which rabbitmqctl) $RABBITMQCTL stop_app $RABBITMQCTL reset $RABBITMQCTL start_app $RABBITMQCTL add_user "$USER" "$(su -l zenos...
saltstackme/salt-rocks
zenoss/files/set-rabbitmq-perms.sh
Shell
apache-2.0
571
# Copyright 2021 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, ...
GoogleCloudPlatform/cloud-deploy-tutorials
tutorials/private-targets/setup.sh
Shell
apache-2.0
3,263
perl ./perl/frgrpin11.pl > process-classes-4.log
glilly/osdi
eng_sept2016_v3/process-classes.sh
Shell
apache-2.0
49
#!/bin/sh # Copyright 2016 Aino.io # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agre...
Aino-io/agent-shell
scripts/send_curl.sh
Shell
apache-2.0
2,857